This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 961 - sndconfig dumps core without PCI kernel support loaded
sndconfig dumps core without PCI kernel support loaded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
5.2
All Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-25 14:47 EST by kjw
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-25 15:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kjw 1999-01-25 14:47:17 EST
sndconfig will dump core (seg fault) if the kernel doesn't
have pci support linked in.  The fix is a one-line change:

oops, this patch is backwards, but I can't get another
diff -u generated until tomorrow.  You can see it's a simple
fix, though; it just doesn't detect the -1 return from the
pciProbeDevice, so it needs to check n<1 instead of the
erroneous !n.

--- pnpconf.c   Sat Jan 23 23:05:16 1999
+++ pnpconf.c-  Sat Jan 23 23:05:03 1999
@@ -305,7 +305,7 @@
     int i,n;

     n = pciProbeDevice(PCI_AUDIO, &devs);
-    if (n<1) {
+    if (!n) {
       return -1;
     }
     /* We don't support more than one card anywhere
else;    */
Comment 1 Bill Nottingham 1999-01-25 15:41:59 EST
This can be worked around by running sndconfig with '--noprobe'
(of course, that turns off the isapnp probe as well.)

Fixed in sndconfig-0.29-5.

Note You need to log in before you can comment on or make changes to this bug.